{% extends "base.html" %}
{% load widget_tweaks %}
{% block title %}Bookmark an image{% endblock %}
{% block content %}
<h1>Bookmark an image</h1>
{#<img src="{{ request.GET.url }}" class="image-preview">#}
<form action="." method="post" enctype="multipart/form-data">
{#{{ form.as_p }}#}
{#{% csrf_token %}#}
{#<input type="submit" value="save it!">#}

    {% csrf_token %}
    {{ form.non_field_errors }}
<div class="fieldWrapper">
    {{ form.title.errors }}
    <label for="">Name:</label>

    {{ form.title }}
</div>
    <div class="fieldWrapper">
    {{ form.photo.errors }}
    <label for="">Photo:</label>
        <br>
    {{ form.photo }}
</div>
<div class="fieldWrapper">
    {{ form.description.errors }}
    <label for="">Description:</label>
    <br>
    {{ form.description }}
</div>
    <input type="submit" class="btn btn-info" value="Save it!" />
</form>
{% endblock %}